Skip to main content
POST
/
ai
/
assistants
/
{assistant_id}
/
instructions
/
enhance
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.ai.assistants.instructions.enhance('assistant_id');

console.log(response);
"<string>"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

assistant_id
string
required

Unique identifier of the assistant.

Body

application/json
enhancement_prompt
string | null

Optional guidance describing how the instructions should be enhanced. When provided, the LLM applies these requested changes in addition to fixing any identified issues.

instructions
string | null

The instructions to enhance. When omitted, the assistant's existing instructions are used.

Response

A stream of enhanced instruction text. The body is sent as text/plain using chunked transfer encoding.

The response is of type string.